org.wildfly.swarm.topology.consul

## Class ConsulTopologyFraction

- java.lang.Object
- - org.wildfly.swarm.topology.consul.ConsulTopologyFraction

- All Implemented Interfaces:
    Fraction<ConsulTopologyFraction>

      public class ConsulTopologyFraction
      extends Object
      implements Fraction<ConsulTopologyFraction>

  Consul topology-management fraction. This fraction allows for the use of a cluster of Consul servers and agents to manage topology information.
  Author:
    John Hovell, Bob McWhirter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsulTopologyFraction()`
    `ConsulTopologyFraction(String url)` Construct with an agent URL
    `ConsulTopologyFraction(URL url)` Construct with an agent URL

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `URL` | `url()` Retrieve the configured agent URL.
    `ConsulTopologyFraction` | `url(String url)` Set the agent URL
    `ConsulTopologyFraction` | `url(URL url)` Set the agent URL

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.Fraction

      `applyDefaults, applyDefaults`

- - ### Constructor Detail

    - #### ConsulTopologyFraction

          public ConsulTopologyFraction()

    - #### ConsulTopologyFraction

          public ConsulTopologyFraction(URL url)

      Construct with an agent URL
      Parameters:
        `url` - Agent URL

    - #### ConsulTopologyFraction

          public ConsulTopologyFraction(String url)
                                 throws MalformedURLException

      Construct with an agent URL
      Parameters:
        `url` - Agent URL
      Throws:
        `MalformedURLException`

  - ### Method Detail

    - #### url

          public ConsulTopologyFraction url(URL url)

      Set the agent URL
      Parameters:
        `url` - The agent URL.
      Returns:
        this fraction.

    - #### url

          public ConsulTopologyFraction url(String url)
                                     throws MalformedURLException

      Set the agent URL
      Parameters:
        `url` - The agent URL.
      Returns:
        this fraction
      Throws:
        `MalformedURLException` - if an error occurs parsing the URL.

    - #### url

          public URL url()

      Retrieve the configured agent URL.
      Returns:
        The agent URL.

Copyright © 2018 JBoss by Red Hat. All rights reserved.